{lib, ...}: let
  inherit (lib.marleyos) enabled;
in {
  imports = [./hardware-configuration.nix ./mounts.nix ./autorandr.nix];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "nyx";

  programs.firefox.enable = true;

  marleyos = {
    hasNvidia = true;

    mounts.babeshare = enabled;

    wayland.hyprland = enabled;

    programs = {
      fish = enabled;
    };

    services = {
      ly = enabled;
    };
  };

  system.stateVersion = "24.05";
}
